unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, System.ComponentModel, Borland.Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.nfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  l :Char;
  i :Byte;
  p :Integer;
  sp,s :String;
begin
s:='Ilość zajętego miejsca na dyskach:'+#13;
for l:='c' to 'z' do
  begin
  i:=Ord(l)-Ord('a')+1;
  if DiskSize(i)<=0 then continue;
  p:=(10000*DiskFree(i)) div DiskSize(i);
  sp:=FloatToStr(100-p/100);
  s:=s+UpperCase(l)+':'+#9+sp+'%'+#13;
  end;
ShowMessage(s);
end;

end.
